%define with_libstdc_preview 1 

Name:           scim-m17n
Version:        0.2.0
Release:        2.1
Summary:        SCIM IMEngine for m17n-lib

Group:          System Environment/Libraries
License:        GPL
URL:            http://www.scim-im.org/projects/imengines
Source0:        %{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Buildrequires:  scim-devel, m17n-lib-devel
Obsoletes:      iiimf-le-unit <= 1:12.2
%if %{with_libstdc_preview}
Buildrequires: libstdc++so7-devel
%endif
Requires:	scim

%description
scim-m17n provides a SCIM IMEngine for m17n-lib, which allows
input of many languages using the input table maps from m17n-db.


%prep
%setup -q


%build
%if %{with_libstdc_preview}
export CXX=%{_bindir}/g++-libstdc++-so_7
%endif
%configure --disable-static
%if %{with_libstdc_preview}
# tweak libtool for libstdc++-so7
sed -i -e "s/4.1.0 /4.2.0-`grep datestamp= %{_bindir}/g++-libstdc++-so_7 | sed -e "s/datestamp=//"` /" libtool
%endif
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
%if %{with_libstdc_preview}
export CXX=%{_bindir}/g++-libstdc++-so_7
%endif
make install DESTDIR=$RPM_BUILD_ROOT

rm $RPM_BUILD_ROOT%{_libdir}/scim-1.0/*/IMEngine/m17n.la


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README THANKS
%{_libdir}/scim-1.0/*/IMEngine/m17n.so
%{_datadir}/scim/icons/*


%changelog
* Thu May 11 2006 Jens Petersen <petersen@redhat.com> - 0.2.0-2.1
- rebuild to fix deps on ppc (#188443)

* Thu Mar  2 2006 Jens Petersen <petersen@redhat.com> - 0.2.0-2
- obsolete iiimf-le-unitle for upgrades (#181479,#183305)

* Sun Feb 12 2006 Jens Petersen <petersen@redhat.com> - 0.2.0-1
- update to 0.2.0 release

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 0.1.4-3.1
- bump again for double-long bug on ppc(64)

* Thu Feb  9 2006 Jens Petersen <petersen@redhat.com> - 0.1.4-3
- build conditionally with libstdc++so7 preview library (#166041)
  - add with_libstdc_preview switch and tweak libtool to link against newer lib
- specify filelist more precisely

* Fri Dec 16 2005 Jens Petersen <petersen@redhat.com> - 0.1.4-2
- import to Fedora Core

* Wed Oct  5 2005 Jens Petersen <petersen@redhat.com> - 0.1.4-1
- initial packaging for Fedora Extras

* Mon Jun 20 2005 Jens Petersen <petersen@redhat.com>
- rebuild against scim-1.3.1

* Fri Jun  3 2005 Jens Petersen <petersen@redhat.com>
- Initial build.
